Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## performance
Class ReadFasta

    java.lang.Object
      performance.ReadFasta

    public class ReadFasta

extends Object

Read a FASTA file and print the length of all sequences in the file.

Since:
  1.7
Author:
  David Huen, Andreas Prlic

Constructor Summary
`ReadFasta()`

Method Summary
`static void` | `main(String[] args)` The program takes two args: the first is the file name of the Fasta file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReadFasta

    public ReadFasta()

Method Detail

### main

    public static void main(String[] args)

  The program takes two args: the first is the file name of the Fasta file. The second is the name of the Alphabet. Acceptable names are DNA RNA or PROTEIN.

  Parameters:
    `args` - parameter array

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD